Tire
Date: 2015-09-10

org.atinject.tck.auto

## Class Tire

- java.lang.Object
- - org.atinject.tck.auto.accessories.RoundThing
  - - org.atinject.tck.auto.Tire

- Direct Known Subclasses:
    SpareTire

      public class Tire
      extends RoundThing

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `methodInjectedBeforeFields`
    `protected static java.util.Set<java.lang.String>` | `moreProblems`
    `protected static FuelTank` | `NEVER_INJECTED`
    `boolean` | `overriddenProtectedMethodInjectedTwice`
    `boolean` | `overriddenPublicMethodInjectedTwice`
    `boolean` | `packagePrivateMethod3Injected`
    `boolean` | `packagePrivateMethod4Injected`
    `protected boolean` | `protectedMethodForOverrideInjected`
    `protected boolean` | `publicMethodForOverrideInjected`
    `boolean` | `similarPackagePrivateMethodInjectedTwice`
    `boolean` | `similarPrivateMethodInjectedTwice`
    `static boolean` | `staticMethodInjectedBeforeStaticFields`
    `protected boolean` | `subPackagePrivateMethodForOverrideInjected`
    `protected boolean` | `subPackagePrivateMethodInjected`
    `protected boolean` | `subPrivateMethodForOverrideInjected`
    `protected boolean` | `subPrivateMethodInjected`
    `protected boolean` | `subProtectedMethodInjected`
    `protected boolean` | `subPublicMethodInjected`
    `boolean` | `subtypeFieldInjectedBeforeSupertypeMethods`
    `boolean` | `subtypeMethodInjectedBeforeSupertypeMethods`
    `static boolean` | `subtypeStaticFieldInjectedBeforeSupertypeStaticMethods`
    `static boolean` | `subtypeStaticMethodInjectedBeforeSupertypeStaticMethods`
    `protected boolean` | `superPackagePrivateMethodForOverrideInjected`
    `protected boolean` | `superPackagePrivateMethodInjected`
    `protected boolean` | `superPrivateMethodForOverrideInjected`
    `protected boolean` | `superPrivateMethodInjected`
    `protected boolean` | `superProtectedMethodInjected`
    `protected boolean` | `superPublicMethodInjected`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tire(FuelTank constructorInjection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static boolean` | `hasBeenStaticFieldInjected()`
    `protected static boolean` | `hasBeenStaticMethodInjected()`
    `protected boolean` | `hasSpareTireBeenFieldInjected()`
    `protected boolean` | `hasSpareTireBeenMethodInjected()`
    `protected boolean` | `hasTireBeenFieldInjected()`
    `protected boolean` | `hasTireBeenMethodInjected()`
    `protected void` | `injectProtectedMethod()`
    `protected void` | `injectProtectedMethodForOverride()`
    `void` | `injectPublicMethod()`
    `void` | `injectPublicMethodForOverride()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NEVER_INJECTED

          protected static final FuelTank NEVER_INJECTED

    - #### moreProblems

          protected static final java.util.Set<java.lang.String> moreProblems

    - #### superPrivateMethodInjected

          protected boolean superPrivateMethodInjected

    - #### superPackagePrivateMethodInjected

          protected boolean superPackagePrivateMethodInjected

    - #### superProtectedMethodInjected

          protected boolean superProtectedMethodInjected

    - #### superPublicMethodInjected

          protected boolean superPublicMethodInjected

    - #### subPrivateMethodInjected

          protected boolean subPrivateMethodInjected

    - #### subPackagePrivateMethodInjected

          protected boolean subPackagePrivateMethodInjected

    - #### subProtectedMethodInjected

          protected boolean subProtectedMethodInjected

    - #### subPublicMethodInjected

          protected boolean subPublicMethodInjected

    - #### superPrivateMethodForOverrideInjected

          protected boolean superPrivateMethodForOverrideInjected

    - #### superPackagePrivateMethodForOverrideInjected

          protected boolean superPackagePrivateMethodForOverrideInjected

    - #### subPrivateMethodForOverrideInjected

          protected boolean subPrivateMethodForOverrideInjected

    - #### subPackagePrivateMethodForOverrideInjected

          protected boolean subPackagePrivateMethodForOverrideInjected

    - #### protectedMethodForOverrideInjected

          protected boolean protectedMethodForOverrideInjected

    - #### publicMethodForOverrideInjected

          protected boolean publicMethodForOverrideInjected

    - #### methodInjectedBeforeFields

          public boolean methodInjectedBeforeFields

    - #### subtypeFieldInjectedBeforeSupertypeMethods

          public boolean subtypeFieldInjectedBeforeSupertypeMethods

    - #### subtypeMethodInjectedBeforeSupertypeMethods

          public boolean subtypeMethodInjectedBeforeSupertypeMethods

    - #### staticMethodInjectedBeforeStaticFields

          public static boolean staticMethodInjectedBeforeStaticFields

    - #### subtypeStaticFieldInjectedBeforeSupertypeStaticMethods

          public static boolean subtypeStaticFieldInjectedBeforeSupertypeStaticMethods

    - #### subtypeStaticMethodInjectedBeforeSupertypeStaticMethods

          public static boolean subtypeStaticMethodInjectedBeforeSupertypeStaticMethods

    - #### similarPrivateMethodInjectedTwice

          public boolean similarPrivateMethodInjectedTwice

    - #### similarPackagePrivateMethodInjectedTwice

          public boolean similarPackagePrivateMethodInjectedTwice

    - #### overriddenProtectedMethodInjectedTwice

          public boolean overriddenProtectedMethodInjectedTwice

    - #### overriddenPublicMethodInjectedTwice

          public boolean overriddenPublicMethodInjectedTwice

    - #### packagePrivateMethod3Injected

          public boolean packagePrivateMethod3Injected

    - #### packagePrivateMethod4Injected

          public boolean packagePrivateMethod4Injected

  - ### Constructor Detail

    - #### Tire

          @Inject
          public Tire(FuelTank constructorInjection)

  - ### Method Detail

    - #### injectProtectedMethod

          @Inject
          protected void injectProtectedMethod()

    - #### injectPublicMethod

          @Inject
          public void injectPublicMethod()

    - #### injectProtectedMethodForOverride

          @Inject
          protected void injectProtectedMethodForOverride()

    - #### injectPublicMethodForOverride

          @Inject
          public void injectPublicMethodForOverride()

    - #### hasTireBeenFieldInjected

          protected final boolean hasTireBeenFieldInjected()

    - #### hasSpareTireBeenFieldInjected

          protected boolean hasSpareTireBeenFieldInjected()

    - #### hasTireBeenMethodInjected

          protected final boolean hasTireBeenMethodInjected()

    - #### hasBeenStaticFieldInjected

          protected static boolean hasBeenStaticFieldInjected()

    - #### hasBeenStaticMethodInjected

          protected static boolean hasBeenStaticMethodInjected()

    - #### hasSpareTireBeenMethodInjected

          protected boolean hasSpareTireBeenMethodInjected()